<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Traits;

trait AutocompleteRepositoryTrait
{
    public function findOneForInit($id): array
    {
        return $this->createQueryBuilder('o')
            ->andWhere('o.id = :id')
            ->setParameter('id', (int) $id)
            ->getQuery()
            ->getResult()
        ;
    }
}
